@charset "UTF-8";
@import url("https://fonts.googleapis.com/css?family=ZCOOL+KuaiLe");
/* @import url("https://cdn.jsdelivr.net/npm/normalize.css/normalize.min.css"); */

:root {
    --font-family: system-ui, -apple-system, "Segoe UI", "Roboto", "Ubuntu", "Cantarell", "Noto Sans", sans-serif,
        "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
    --line-height: 1.5;
    --font-weight: 400;
    --font-size: 16px;
    --border-radius: 0.25rem;
    --border-width: 1px;
    --outline-width: 3px;
    --spacing: 1rem;
    --typography-spacing-vertical: 1.5rem;
    --block-spacing-vertical: calc(var(--spacing) * 2);
    --block-spacing-horizontal: var(--spacing);
    --grid-spacing-vertical: 0;
    --grid-spacing-horizontal: var(--spacing);
    --form-element-spacing-vertical: 0.75rem;
    --form-element-spacing-horizontal: 1rem;
    --nav-element-spacing-vertical: 1rem;
    --nav-element-spacing-horizontal: 0.5rem;
    --nav-link-spacing-vertical: 0.5rem;
    --nav-link-spacing-horizontal: 0.5rem;
    --form-label-font-weight: var(--font-weight);
    --transition: 0.2s ease-in-out;
    --modal-overlay-backdrop-filter: blur(0.25rem);
}

@media (min-width: 576px) {
    :root {
        --font-size: 17px;
    }
}

@media (min-width: 768px) {
    :root {
        --font-size: 18px;
    }
}

@media (min-width: 992px) {
    :root {
        --font-size: 19px;
    }
}

@media (min-width: 1200px) {
    :root {
        --font-size: 20px;
    }
}

@media (min-width: 576px) {
    body > header,
    body > main,
    body > footer,
    section {
        --block-spacing-vertical: calc(var(--spacing) * 2.5);
    }
}

@media (min-width: 768px) {
    body > header,
    body > main,
    body > footer,
    section {
        --block-spacing-vertical: calc(var(--spacing) * 3);
    }
}

@media (min-width: 992px) {
    body > header,
    body > main,
    body > footer,
    section {
        --block-spacing-vertical: calc(var(--spacing) * 3.5);
    }
}

@media (min-width: 1200px) {
    body > header,
    body > main,
    body > footer,
    section {
        --block-spacing-vertical: calc(var(--spacing) * 4);
    }
}

@media (min-width: 576px) {
    article {
        --block-spacing-horizontal: calc(var(--spacing) * 1.25);
    }
}

@media (min-width: 768px) {
    article {
        --block-spacing-horizontal: calc(var(--spacing) * 1.5);
    }
}

@media (min-width: 992px) {
    article {
        --block-spacing-horizontal: calc(var(--spacing) * 1.75);
    }
}

@media (min-width: 1200px) {
    article {
        --block-spacing-horizontal: calc(var(--spacing) * 2);
    }
}

dialog > article {
    --block-spacing-vertical: calc(var(--spacing) * 2);
    --block-spacing-horizontal: var(--spacing);
}

@media (min-width: 576px) {
    dialog > article {
        --block-spacing-vertical: calc(var(--spacing) * 2.5);
        --block-spacing-horizontal: calc(var(--spacing) * 1.25);
    }
}

@media (min-width: 768px) {
    dialog > article {
        --block-spacing-vertical: calc(var(--spacing) * 3);
        --block-spacing-horizontal: calc(var(--spacing) * 1.5);
    }
}

/* Color 目前多数颜色用于占位，以后需尽可能的从这里调颜色*/
:root {
    --background-color: #fff;
    --color: hsl(205, 20%, 32%);
    --h1-color: hsl(205, 30%, 15%);
    --h2-color: #24333e;
    --h3-color: hsl(205, 25%, 23%);
    --h4-color: #374956;
    --h5-color: hsl(205, 20%, 32%);
    --h6-color: #4d606d;
    --muted-color: hsl(205, 10%, 50%);
    --muted-border-color: hsl(205, 20%, 94%);
    --primary: hsl(195, 85%, 41%);
    --primary-hover: hsl(195, 90%, 32%);
    --primary-focus: rgba(16, 149, 193, 0.125);
    --primary-inverse: #fff;
    --secondary: hsl(205, 15%, 41%);
    --secondary-hover: hsl(205, 20%, 32%);
    --secondary-focus: rgba(89, 107, 120, 0.125);
    --secondary-inverse: #fff;
    --contrast: hsl(205, 30%, 15%);
    --contrast-hover: #000;
    --contrast-focus: rgba(89, 107, 120, 0.125);
    --contrast-inverse: #fff;
    --mark-background-color: #fff2ca;
    --mark-color: #543a26;
    --ins-color: #388e3c;
    --del-color: #c62828;
    --blockquote-border-color: var(--muted-border-color);
    --blockquote-footer-color: var(--muted-color);
    --button-box-shadow: 0 0 0 rgba(0, 0, 0, 0);
    --button-hover-box-shadow: 0 0 0 rgba(0, 0, 0, 0);
    --form-element-background-color: transparent;
    --form-element-border-color: hsl(205, 14%, 68%);
    --form-element-color: var(--color);
    --form-element-placeholder-color: var(--muted-color);
    --form-element-active-background-color: transparent;
    --form-element-active-border-color: var(--primary);
    --form-element-focus-color: var(--primary-focus);
    --form-element-disabled-background-color: hsl(205, 18%, 86%);
    --form-element-disabled-border-color: hsl(205, 14%, 68%);
    --form-element-disabled-opacity: 0.5;
    --form-element-invalid-border-color: #c62828;
    --form-element-invalid-active-border-color: #d32f2f;
    --form-element-invalid-focus-color: rgba(211, 47, 47, 0.125);
    --form-element-valid-border-color: #388e3c;
    --form-element-valid-active-border-color: #43a047;
    --form-element-valid-focus-color: rgba(67, 160, 71, 0.125);
    --switch-background-color: hsl(205, 16%, 77%);
    --switch-color: var(--primary-inverse);
    --switch-checked-background-color: var(--primary);
    --range-border-color: hsl(205, 18%, 86%);
    --range-active-border-color: hsl(205, 16%, 77%);
    --range-thumb-border-color: var(--background-color);
    --range-thumb-color: var(--secondary);
    --range-thumb-hover-color: var(--secondary-hover);
    --range-thumb-active-color: var(--primary);
    --table-border-color: var(--muted-border-color);
    --table-row-stripped-background-color: #f6f8f9;
    --code-background-color: hsl(205, 20%, 94%);
    --code-color: var(--muted-color);
    --code-kbd-background-color: var(--contrast);
    --code-kbd-color: var(--contrast-inverse);
    --code-tag-color: hsl(330, 40%, 50%);
    --code-property-color: hsl(185, 40%, 40%);
    --code-value-color: hsl(40, 20%, 50%);
    --code-comment-color: hsl(205, 14%, 68%);
    --accordion-border-color: var(--muted-border-color);
    --accordion-close-summary-color: var(--color);
    --accordion-open-summary-color: var(--muted-color);
    --card-background-color: var(--background-color);
    --card-border-color: var(--muted-border-color);
    --card-box-shadow: 0.0145rem 0.029rem 0.174rem rgba(27, 40, 50, 0.01698),
        0.0335rem 0.067rem 0.402rem rgba(27, 40, 50, 0.024), 0.0625rem 0.125rem 0.75rem rgba(27, 40, 50, 0.03),
        0.1125rem 0.225rem 1.35rem rgba(27, 40, 50, 0.036), 0.2085rem 0.417rem 2.502rem rgba(27, 40, 50, 0.04302),
        0.5rem 1rem 6rem rgba(27, 40, 50, 0.06), 0 0 0 0.0625rem rgba(27, 40, 50, 0.015);
    --card-sectionning-background-color: #fbfbfc;
    --dropdown-background-color: #fbfbfc;
    --dropdown-border-color: #e1e6eb;
    --dropdown-box-shadow: var(--card-box-shadow);
    --dropdown-color: var(--color);
    --dropdown-hover-background-color: hsl(205, 20%, 94%);
    --modal-overlay-background-color: rgba(213, 220, 226, 0.7);
    --progress-background-color: hsl(205, 18%, 86%);
    --progress-color: var(--primary);
    --loading-spinner-opacity: 0.5;
    --tooltip-background-color: var(--contrast);
    --tooltip-color: var(--contrast-inverse);
    --icon-checkbox: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none' stroke='rgb(255, 255, 255)' stroke-width='4' stroke-linecap='round' stroke-linejoin='round'%3E%3Cpolyline points='20 6 9 17 4 12'%3E%3C/polyline%3E%3C/svg%3E");
    --icon-chevron: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none' stroke='rgb(65, 84, 98)' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'%3E%3Cpolyline points='6 9 12 15 18 9'%3E%3C/polyline%3E%3C/svg%3E");
    --icon-chevron-button: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none' stroke='rgb(255, 255, 255)' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'%3E%3Cpolyline points='6 9 12 15 18 9'%3E%3C/polyline%3E%3C/svg%3E");
    --icon-chevron-button-inverse: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none' stroke='rgb(255, 255, 255)' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'%3E%3Cpolyline points='6 9 12 15 18 9'%3E%3C/polyline%3E%3C/svg%3E");
    --icon-close: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none' stroke='rgb(115, 130, 140)' stroke-width='4' stroke-linecap='round' stroke-linejoin='round'%3E%3Cline x1='18' y1='6' x2='6' y2='18'%3E%3C/line%3E%3Cline x1='6' y1='6' x2='18' y2='18'%3E%3C/line%3E%3C/svg%3E");
    --icon-date: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none' stroke='rgb(65, 84, 98)' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'%3E%3Crect x='3' y='4' width='18' height='18' rx='2' ry='2'%3E%3C/rect%3E%3Cline x1='16' y1='2' x2='16' y2='6'%3E%3C/line%3E%3Cline x1='8' y1='2' x2='8' y2='6'%3E%3C/line%3E%3Cline x1='3' y1='10' x2='21' y2='10'%3E%3C/line%3E%3C/svg%3E");
    --icon-invalid: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none' stroke='rgb(198, 40, 40)' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'%3E%3Ccircle cx='12' cy='12' r='10'%3E%3C/circle%3E%3Cline x1='12' y1='8' x2='12' y2='12'%3E%3C/line%3E%3Cline x1='12' y1='16' x2='12.01' y2='16'%3E%3C/line%3E%3C/svg%3E");
    --icon-minus: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none' stroke='rgb(255, 255, 255)' stroke-width='4' stroke-linecap='round' stroke-linejoin='round'%3E%3Cline x1='5' y1='12' x2='19' y2='12'%3E%3C/line%3E%3C/svg%3E");
    --icon-search: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none' stroke='rgb(65, 84, 98)' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'%3E%3Ccircle cx='11' cy='11' r='8'%3E%3C/circle%3E%3Cline x1='21' y1='21' x2='16.65' y2='16.65'%3E%3C/line%3E%3C/svg%3E");
    --icon-time: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none' stroke='rgb(65, 84, 98)' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'%3E%3Ccircle cx='12' cy='12' r='10'%3E%3C/circle%3E%3Cpolyline points='12 6 12 12 16 14'%3E%3C/polyline%3E%3C/svg%3E");
    --icon-valid: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none' stroke='rgb(56, 142, 60)' stroke-width='3' stroke-linecap='round' stroke-linejoin='round'%3E%3Cpolyline points='20 6 9 17 4 12'%3E%3C/polyline%3E%3C/svg%3E");
    color-scheme: light;
}

/* Grid */
.grid {
    grid-column-gap: var(--grid-spacing-horizontal);
    grid-row-gap: var(--grid-spacing-vertical);
    display: grid;
    grid-template-columns: 1fr;
    margin: 0;
}

@media (min-width: 992px) {
    .grid {
        grid-template-columns: repeat(auto-fit, minmax(0%, 1fr));
        /* grid-template-columns: auto auto auto; */
    }
}

.grid > * {
    min-width: 0;
}

/* Card (<article>) */
article {
    margin: var(--block-spacing-vertical) 0;
    padding: var(--block-spacing-vertical) var(--block-spacing-horizontal);
    border-radius: var(--border-radius);
    background: var(--card-background-color);
    box-shadow: var(--card-box-shadow);
}

article > header,
article > footer {
    margin-right: calc(var(--block-spacing-horizontal) * -1);
    margin-left: calc(var(--block-spacing-horizontal) * -1);
    padding: calc(var(--block-spacing-vertical) * 0.66) var(--block-spacing-horizontal);
    background-color: var(--card-sectionning-background-color);
}

article > header {
    margin-top: calc(var(--block-spacing-vertical) * -1);
    margin-bottom: var(--block-spacing-vertical);
    border-bottom: var(--border-width) solid var(--card-border-color);
    border-top-right-radius: var(--border-radius);
    border-top-left-radius: var(--border-radius);
}

article > footer {
    margin-top: var(--block-spacing-vertical);
    margin-bottom: calc(var(--block-spacing-vertical) * -1);
    border-top: var(--border-width) solid var(--card-border-color);
    border-bottom-right-radius: var(--border-radius);
    border-bottom-left-radius: var(--border-radius);
}

/* Application Department Card */

.application-department-card {
    grid-column-gap: var(--grid-spacing-horizontal);
    grid-row-gap: var(--grid-spacing-vertical);
    display: flex;
    flex-grow: 1;
    align-items: stretch;
    padding: 0;
    margin: calc(var(--block-spacing-vertical) * 0.25) var(--block-spacing-horizontal);
    position: relative;
    cursor: pointer;
    overflow: hidden;
    height: 20em;
    width: 25em;
    background-color: var(--contrast);
    font-family: ZCOOL KuaiLe;
    z-index: 1;
    transition: transform 0.15s ease;
    user-select: none;
}

.application-department-card > div {
    flex-shrink: 0;
    flex-grow: 1;
    overflow: hidden;
    position: relative;
    background-color: var(--contrast);
    padding: var(--block-spacing-vertical) var(--block-spacing-horizontal);
    color: yellow;
}

.application-department-card > div > h1 {
    margin-bottom: var(--typography-spacing-vertical);
    color: var(--primary-inverse);
    font-weight: var(--font-weight);
    font-size: calc(var(--font-size) * 1.5);
    font-family: ZCOOL KuaiLe;
}

.application-department-card > img {
    flex-shrink: 1;
    flex-grow: 2;
    overflow: hidden;
    position: relative;
    object-fit: cover;
}

.application-department-card:hover {
    transform: scale(1.05);
}

.application-department-card:active {
    transform: scale(0.99);
}

.application-department-cards-container {
    display: flex;
    align-items: stretch;
    flex-wrap: wrap;
    justify-content: space-between;
}

.application-department-cards-container::after {
    content: "";
    grid-column-gap: var(--grid-spacing-horizontal);
    grid-row-gap: var(--grid-spacing-vertical);
    display: flex;
    flex-grow: 1;
    align-items: stretch;
    opacity: 0;
    margin: calc(var(--block-spacing-vertical) * 0.25) calc(var(--block-spacing-horizontal) * 2);
    /* 我也不知道为什么要乘二，等图片大小统一了再说吧 */
    position: relative;
    height: 20em;
    width: 25em;
    user-select: none;
}
